Subject: Re: [RFC PATCH v2 15/19] kvm: add dynamic IRQ support

From: Gregory Haskins <[email-masked]>
Date: Mon, 13 Apr 2009 13:44:30 -0400

Avi Kivity wrote:
>>  
>
> Given that you're using the apic to inject the IRQ, you'll need an
> EOI.  So what's the difference between dynirq and MSI, performance wise?
>

I would have loved to eliminate that EOI completely, but that is a much
broader problem to solve ;)

Actually dynirq wasnt introduced as a performance alternative over MSI. 
Rather, I was trying to eliminate the complexity of needing to sync
between the userspace PCI emulation and the in kernel models.

However, its moot.  Since v2 introduce virtio-vbus, I now have a much
clearer picture of what is needed here, and v3 will simply integrate
with MSI interrupts and drop dynirq completely.  So please ignore this
patch.

-Greg